## com.sun.mail.imap
Interface IMAPFolder.ProtocolCommand

Enclosing class:
  IMAPFolder

    public static interface IMAPFolder.ProtocolCommand

A simple interface for user-defined IMAP protocol commands.

Method Summary
`Object` `doCommand(com.sun.mail.imap.protocol.IMAPProtocol protocol)` Execute the user-defined command using the supplied IMAPProtocol object.

Method Detail

### doCommand

    Object doCommand(com.sun.mail.imap.protocol.IMAPProtocol protocol)
                     throws com.sun.mail.iap.ProtocolException

  Execute the user-defined command using the supplied IMAPProtocol object.

  Throws:
    `com.sun.mail.iap.ProtocolException`

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.